Subject: bug#48317: 27.1; text-property-search-forward moves point to end when not found

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 May 2021 14:32:31 +0200

Howard Melman <[email-masked]> writes:

> What threw me (and I still think is problematic) is this line from the docstring:
>
>     If not found, return nil and don't move point.
>
> And this line from the manual:
>
>      If the text property can’t be found, the function returns ‘nil’.

I've now fixed the doc string in Emacs 28.

> Which I assume also infers point is not moved. If no region has the
> named property I can't see how it can be found and therefore point
> should not be moved.  In fact I don't see how predicate even comes
> into play in this case.

I'm sorry, I don't follow you.  It this still about

  (text-property-search-forward 'facet 'foo)

?  That works as designed, as far as I can tell.  (But not as documented
in the Emacs 27.1 doc string.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no